Subject: Re: [PATCH stable 3.11+] can: bcm: add skb destructor

From: Andre Naujoks <[email-masked]>
Date: Wed, 29 Jan 2014 16:35:52 +0100

On 29.01.2014 15:53, schrieb Eric Dumazet:
> On Wed, 2014-01-29 at 09:47 +0100, Andre Naujoks wrote:
>> On 29.01.2014 08:46, schrieb David Miller:
>>> From: Andre Naujoks <[email-masked]>
>>> Date: Wed, 29 Jan 2014 08:40:03 +0100
>>>
>>>> Even if this is a bug in the CAN BCM implementation. Your "fix" just
>>>> enabled a user space application to shut down any machine with a kernel
>>>> containing the BUG_ON patch.
>>>
>>> Rather, he detected a potential stray pointer reference to freed data
>>> that was caused by the CAN code which would difficult if not
>>> impossible to detect otherwise.
>>>
>>> That's even more dangerous, and you should be thanking him.
>>
>> "potential" is the keyword here. But its a definite kernel crash as it
>> is right now with a standard use case for the BCM.
>>
>> Don't get me wrong. If there are bugs in the code, they should be fixed,
>> but I don't think breaking a working (even if flawed) part of the kernel
>> is the right thing to do here.
> 
> Shall I remember you this patch was suggested by David Miller, our
> beloved network maintainer ?

no, but thank you.

> 
> Really this is quite silly, I'll tell you.

Totally with you on that.

> 
> I can send a patch to mark CAN as BROKEN if you want, or you can send an
> appropriate patch.
> 
> Your resistance is futile.

I am not resisting to anything. I was just *irritated* about the way
this was handled. Since Oliver is already trying to fix this, any
further discussion here is meaningless anyway.

Regards
  Andre